package com.wecloud.im.security.exception;

import com.wecloud.im.core.common.api.ApiCode;
import com.wecloud.im.core.common.exception.SpringBootPlusException;

/**
 * Shiro配置异常
 *
 * @author geekidea
 * @date 2019-09-29
 * @since 1.3.0.RELEASE
 **/
public class ShiroConfigException extends SpringBootPlusException {
    private static final long serialVersionUID = -4573955712491628431L;

    public ShiroConfigException(String message) {
        super(message);
    }

    public ShiroConfigException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public ShiroConfigException(ApiCode apiCode) {
        super(apiCode);
    }
}
